BEGIN {FS=" +v +";}
/.*/  { if (NF > 1) 
            {
            reallydisjunctive = 0;
            # possibly a disjunctive rule
            if ( match($0," +v +.*:-") != 0 && match($0,"^ +v +:-") == 0 )
                {
                reallydisjunctive = 1;
                endmatch = " *:-"; 
                }
            else
                {
                if ( match($0," +v +.*.") != 0 && match($0,"^ +v +.") == 0 )
                    {
                    reallydisjunctive = 1;
                    endmatch = "\\.";
                    }
                }

            if ( reallydisjunctive == 1 )
                {
                inhead = 1;
                printf "{";
                for (i=1; i <= NF; i++)
                    {
                    j = match($i,endmatch);
                    if( j != 0 )
                        {
                        printf substr($i,1,j-1);
                        printf "}"
                        printf substr($i,j,length($i)-j+1);
                        inhead = 0;
                        }
                    else
                        {
                        if (inhead == 0) printf " v ";
                        printf $i;
                        if (inhead == 1) printf ", ";
                        }
                    }
                print "";                    
                }
            else
                {
                print;
                }
            }
        else
            {
            print;
            }
      }
