% Guess colours.
chosenColour(N,C) | notChosenColour(N,C) :- node(N), colour(C).

% At least one color per node.
:- not #count{ C : chosenColour(X,C) } = 1, node(X).

% No two adjacent nodes have the same colour. 
:- link(X,Y),  X<Y, chosenColour(X,C), chosenColour(Y,C).

