/*
*
*  Copyright 2013 Mario Alviano, Carmine Dodaro, Wolfgang Faber, Nicola Leone, Francesco Ricca, and Marco Sirianni.
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*
*/

/*
 * File:   AtomUT.h
 * Author: Carmine Dodaro
 *
 * Created on 20 June 2011, 17.40
 */

#ifndef _ATOMUT_H
#define	_ATOMUT_H

struct AtomUT
{
    unsigned int id;
    int ut;
    int ut2;
    int ut3;
    int other_ut;
    int other_ut2;
    int other_ut3;
    int satisfiedRules;
    int other_satisfiedRules;
    int trueAtoms;
    int other_trueAtoms;
    int supportingRulesForTrueAtoms;
    int other_supportingRulesForTrueAtoms;
};

#endif	/* _ATOMUT_H */