#!/bin/sh
# The next line is executed by /bin/sh, but not tcl \
exec tclsh $0 ${1+"$@"}

# Generate a series of ladder graphs by invoking gen-ladder.tcl.
#
# Written by Gerald Pfeifer.

for {set a 60} {$a <= 1200} {incr a 60} {
    set nodes [expr 2 * $a]
    exec gen-ladder.tcl $a > "ladder.$nodes"
}
