/*
*
*  Copyright 2013 Mario Alviano, Carmine Dodaro, Wolfgang Faber, Nicola Leone, Francesco Ricca, and Marco Sirianni.
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*
*/

/* 
 * File:   FirstUndefinedHeuristic.h
 * Author: Carmine Dodaro
 *
 * Created on 04 December 2012, 15.31
 */

#ifndef _FIRSTUNDEFINEDHEURISTIC_H
#define	_FIRSTUNDEFINEDHEURISTIC_H

#include <cassert>
#include "../Constants.h"
#include "../DecisionHeuristic.h"

class Atom;

class FirstUndefinedHeuristic : public DecisionHeuristic
{
    public:
        inline FirstUndefinedHeuristic( ModelGenerator* mg );
        
        virtual void makeAChoice();        
};

FirstUndefinedHeuristic::FirstUndefinedHeuristic( ModelGenerator* mg ) : DecisionHeuristic( mg ){}

#endif /* _FIRSTUNDEFINEDHEURISTIC_H */