#!/bin/bash

DIRNAME=`dirname $0`

if [ ! -e $DIRNAME/black_box_test/dlv ]; then
	echo "Please, copy or link a 'dlv' executable file in this directory."
	exit -1
fi

if [ -d $DIRNAME/black_box_test ]; then 
    if [ -z "${dlv_testee}" ]; then 
        dlv_testee="`pwd`/$DIRNAME/black_box_test/wasp.sh"; 
        export dlv_testee; 
        echo "Setting dlv_testee to ${dlv_testee}"; 
    fi; 
    if [ -n "${MAKE}" ]; then 
        MAKE=${MAKE}; 
        export MAKE; 
    fi; 
    $DIRNAME/black_box_test/test; 
else 
    echo "You need to check out the black_box_test module as a subdirectory of"; 
    echo "(or have an appropriate symlink called dlvtests in) this directory."; 
fi
